function [A, b, R] = computeLLRFilterCoefficients(I_guidance, I_input, radius, eps, sampling, weights)
    
    if nargin < 6
        weights = ones(size(I_input));
    end
    
    % Determine the filter coefficients by guided filtering of the given
    % pair of channels.
    [A, b] = guidedfilter(I_guidance, I_input, radius, eps, sampling, weights);
    
    % Get (filtered) residual error associated with the channels and 
    % filter coefficents.
    R =  A .* I_guidance + b - I_input;
    R = medfilt2(R, [2*radius+1 2*radius+1]);